lzma_outq Struct Reference

## Data Fields

lzma_outbuf * | bufs
| Array of buffers that are used cyclically. More...
uint8_t * | bufs_mem
| Memory allocated for all the buffers. More...
size_t | buf_size_max
| Amount of buffer space available in each buffer. More...
uint32_t | bufs_allocated
| Number of buffers allocated. More...
uint32_t | bufs_pos
uint32_t | bufs_used
| Number of buffers in use. More...
size_t | read_pos
| Position in the buffer in lzma_outq_read() More...

## Field Documentation

## bufs

lzma_outbuf* lzma_outq::bufs

Array of buffers that are used cyclically.

Referenced by lzma_outq_is_readable().

## bufs_mem

uint8_t* lzma_outq::bufs_mem

Memory allocated for all the buffers.

## buf_size_max

size_t lzma_outq::buf_size_max

Amount of buffer space available in each buffer.

## bufs_allocated

uint32_t lzma_outq::bufs_allocated

Number of buffers allocated.

Referenced by lzma_outq_has_buf(), and lzma_outq_is_readable().

## bufs_pos

uint32_t lzma_outq::bufs_pos

Position in the bufs array. The next buffer to be taken into use is bufs[bufs_pos].

Referenced by lzma_outq_is_readable().

## bufs_used

uint32_t lzma_outq::bufs_used

Number of buffers in use.

Referenced by lzma_outq_has_buf(), lzma_outq_is_empty(), and lzma_outq_is_readable().

## read_pos

size_t lzma_outq::read_pos

Position in the buffer in lzma_outq_read()

The documentation for this struct was generated from the following file:

- liblzma/common/outqueue.h